RedBoot User's Guide
Prev |  | Next

# fs cd

## Name

fs cd -- Change filesystem directory

## Synopsis

fs cd [`directory`]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
`directory` | String | Pathname to directory to change to. | Root directory

## Description

This command changes the current filesystem directory. Subsequent filesystem commands will be executed in the new directory. If no argument is given, then the current directory is set back to the root of the filesystem name space.

## Examples

Change current directory:

    RedBoot> fs list
    212416 d---------  3 size    128 .
    212416 d---------  3 size    128 ..
    211392 d---------  2 size     96 tests
    210368 ----------  1 size   4096 image
    RedBoot> fs cd tests
    RedBoot> fs list
    211392 d---------  2 size     96 .
    212416 d---------  3 size    128 ..
    205760 ----------  1 size  16384 test1
    RedBoot>

Prev | Home | Next
fs umount | Up | fs mkdir